<?php
require_once "connect.php";
require_once "inc/messages.php";

$id_usuario = 1;
$st_ativo		= 1;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

// dados do post
if(isset($_POST['id'])){
    $id 			= $_POST['id'];
}

$ds_codigo = trim($_POST['ds_codigo']);
$st_acao = trim($_POST['st_acao']);
$ds_razao = trim($_POST['ds_razao']);
$ds_fantasia = trim($_POST['ds_fantasia']);
$ds_cep = trim($_POST['ds_cep']);
$ds_endereco = trim($_POST['ds_endereco']);
$ds_numero = trim($_POST['ds_numero']);
$ds_bairro = trim($_POST['ds_bairro']);
$ds_uf = trim($_POST['ds_uf']);
$ds_complemento = trim($_POST['ds_complemento']);
$id_municipio = trim($_POST['id_municipio']);
$ds_cx_postal = trim($_POST['ds_cx_postal']);
$ds_cpf_cnpj = trim($_POST['ds_cpf_cnpj']);
$ds_rg = trim($_POST['ds_rg']);
$ds_ddi = trim($_POST['ds_ddi']);
$ds_ddd = trim($_POST['ds_ddd']);
$ds_telefone = trim($_POST['ds_telefone']);
$ds_fax = trim($_POST['ds_fax']);
$ds_celular = trim($_POST['ds_celular']);
$id_operadora  = trim($_POST['id_operadora']);
$ds_ie = trim($_POST['ds_ie']);
$ds_im = trim($_POST['ds_im']);
$ds_departamento = trim($_POST['ds_departamento']);
$ds_email = trim($_POST['ds_email']);
$ds_homepage = trim($_POST['ds_homepage']);
$ds_telex = trim($_POST['ds_telex']);
$ds_cod_cbo = trim($_POST['ds_cod_cbo']);
$ds_cod_cnae = trim($_POST['ds_cod_cnae']);
$id_bancos = trim($_POST['id_bancos']);
$ds_agencia = trim($_POST['ds_agencia']);
$ds_conta_corrente = trim($_POST['ds_conta_corrente']);
$ds_natureza_padrao = trim($_POST['ds_natureza_padrao']);
$id_condicao_pagamento = trim($_POST['id_condicao_pagamento']);
$id_planofin_padrao = trim($_POST['id_planofin_padrao']);
$id_tipo_contrato_social = trim($_POST['id_tipo_contrato_social']);
$ds_cod_municipal_zf = trim($_POST['ds_cod_municipal_zf']);
$fl_calcula_inss = trim($_POST['fl_calcula_inss']);
$fl_calcula_irrf = trim($_POST['fl_calcula_irrf']);
$fl_recolhe_iss = trim($_POST['fl_recolhe_iss']);
$fl_recolhe_pis = trim($_POST['fl_recolhe_pis']);
$fl_recolhe_cofins = trim($_POST['fl_recolhe_cofins']);

$ds_contato = trim($_POST['ds_contato']);
$id_transportadora = trim($_POST['id_transportadora']);
$ds_risco = trim($_POST['ds_risco']);
$fl_utiliza_b2b = trim($_POST['fl_utiliza_b2b']);
$dt_primeira_compra = trim($_POST['dt_primeira_compra']);
$dt_ultima_compra = trim($_POST['dt_ultima_compra']);
$vl_maior_compra = trim($_POST['vl_maior_compra']);
$nr_media_atraso = trim($_POST['nr_media_atraso']);
$vl_maior_saldo = trim($_POST['vl_maior_saldo']);
$nr_compras = trim($_POST['nr_compras']);
$vl_saldo_duplicatas = trim($_POST['vl_saldo_duplicatas']);

//Aba Miscelanea
$ds_texto1 = trim($_POST['ds_texto1']);
$ds_texto2 = trim($_POST['ds_texto2']);
$ds_texto3 = trim($_POST['ds_texto3']);
$ds_texto4 = trim($_POST['ds_texto4']);
$ds_texto5 = trim($_POST['ds_texto5']);
$ds_texto6 = trim($_POST['ds_texto6']);
$ds_texto7 = trim($_POST['ds_texto7']);
$ds_texto8 = trim($_POST['ds_texto8']);
$ds_texto9 = trim($_POST['ds_texto9']);
$ds_texto10 = trim($_POST['ds_texto10']);

$ds_data1 = trim($_POST['ds_data1']);
$ds_data2 = trim($_POST['ds_data2']);
$ds_data3 = trim($_POST['ds_data3']);
$ds_data4 = trim($_POST['ds_data4']);
$ds_data5 = trim($_POST['ds_data5']);
$ds_data6 = trim($_POST['ds_data6']);
$ds_data7 = trim($_POST['ds_data7']);
$ds_data8 = trim($_POST['ds_data8']);
$ds_data9 = trim($_POST['ds_data9']);
$ds_data10 = trim($_POST['ds_data10']);

if(!empty($ds_data1)){
    $data = str_replace("/", "-", $ds_data1);
    $ds_data1 =  date('Y-m-d', strtotime($data));
}
if(!empty($ds_data2)){
    $data = str_replace("/", "-", $ds_data2);
    $ds_data2 =  date('Y-m-d', strtotime($data));
}
if(!empty($ds_data3)){
    $data = str_replace("/", "-", $ds_data3);
    $ds_data3 =  date('Y-m-d', strtotime($data));
}
if(!empty($ds_data4)){
    $data = str_replace("/", "-", $ds_data4);
    $ds_data4 =  date('Y-m-d', strtotime($data));
}
if(!empty($ds_data5)){
    $data = str_replace("/", "-", $ds_data5);
    $ds_data5 =  date('Y-m-d', strtotime($data));
}
if(!empty($ds_data6)){
    $data = str_replace("/", "-", $ds_data6);
    $ds_data6 =  date('Y-m-d', strtotime($data));
}
if(!empty($ds_data7)){
    $data = str_replace("/", "-", $ds_data7);
    $ds_data7 =  date('Y-m-d', strtotime($data));
}
if(!empty($ds_data8)){
    $data = str_replace("/", "-", $ds_data8);
    $ds_data8 =  date('Y-m-d', strtotime($data));
}
if(!empty($ds_data9)){
    $data = str_replace("/", "-", $ds_data9);
    $ds_data9 =  date('Y-m-d', strtotime($data));
}
if(!empty($ds_data10)){
    $data = str_replace("/", "-", $ds_data10);
    $ds_data10 =  date('Y-m-d', strtotime($data));
}

$ds_valor1 = trim($_POST['ds_valor1']);
$ds_valor1 = str_replace(".", "", $ds_valor1);
$ds_valor1 = str_replace(",", ".", $ds_valor1);

$ds_valor2 = trim($_POST['ds_valor2']);
$ds_valor2 = str_replace(".", "", $ds_valor2);
$ds_valor2 = str_replace(",", ".", $ds_valor2);

$ds_valor3 = trim($_POST['ds_valor3']);
$ds_valor3 = str_replace(".", "", $ds_valor3);
$ds_valor3 = str_replace(",", ".", $ds_valor3);

$ds_valor4 = trim($_POST['ds_valor4']);
$ds_valor4 = str_replace(".", "", $ds_valor4);
$ds_valor4 = str_replace(",", ".", $ds_valor4);

$ds_valor5 = trim($_POST['ds_valor5']);
$ds_valor5 = str_replace(".", "", $ds_valor5);
$ds_valor5 = str_replace(",", ".", $ds_valor5);

$ds_valor6 = trim($_POST['ds_valor6']);
$ds_valor6 = str_replace(".", "", $ds_valor6);
$ds_valor6 = str_replace(",", ".", $ds_valor6);

$ds_valor7 = trim($_POST['ds_valor7']);
$ds_valor7 = str_replace(".", "", $ds_valor7);
$ds_valor7 = str_replace(",", ".", $ds_valor7);

$ds_valor8 = trim($_POST['ds_valor8']);
$ds_valor8 = str_replace(".", "", $ds_valor8);
$ds_valor8 = str_replace(",", ".", $ds_valor8);

$ds_valor9 = trim($_POST['ds_valor9']);
$ds_valor9 = str_replace(".", "", $ds_valor9);
$ds_valor9 = str_replace(",", ".", $ds_valor9);

$ds_valor10 = trim($_POST['ds_valor10']);
$ds_valor10 = str_replace(".", "", $ds_valor10);
$ds_valor10 = str_replace(",", ".", $ds_valor10);


/* limpa campos antes da execução
$nr_cpf = preg_replace("/[^0-9]/", "", $nr_cpf);
$nr_cep = preg_replace("/[^0-9]/", "", $nr_cep);
$nr_residencia = preg_replace("/[^0-9]/", "", $nr_residencia);

IF($nr_residencia==""){$nr_residencia="null";}
*/
// monta sql com os campos
if(isset($_POST['editar'])) {
  $sql = "update erpc_fornecedores set
   ds_codigo='$ds_codigo'
  ,st_acao='$st_acao'
  ,ds_razao='$ds_razao'
  ,ds_fantasia='$ds_fantasia'
  ,ds_cep='$ds_cep'
  ,ds_endereco='$ds_endereco'
  ,ds_complemento='$ds_complemento'
  ,id_municipio='$id_municipio'
  ,ds_cx_postal='$ds_cx_postal'
  ,ds_cpf_cnpj='$ds_cpf_cnpj'
  ,ds_rg='$ds_rg'
  ,ds_ddi='$ds_ddi'
  ,ds_ddd='$ds_ddd'
  ,ds_telefone='$ds_telefone'
  ,ds_fax='$ds_fax'
  ,ds_celular='$ds_celular'
  ,id_operadora='$id_operadora'
  ,ds_ie='$ds_ie'
  ,ds_im='$ds_im'
  ,ds_departamento='$ds_departamento'
  ,ds_email='$ds_email'
  ,ds_homepage='$ds_homepage'
  ,ds_telex='$ds_telex'
  ,ds_cod_cbo='$ds_cod_cbo'
  ,ds_cod_cnae='$ds_cod_cnae'
  ,id_bancos='$id_bancos'
  ,ds_agencia='$ds_agencia'
  ,ds_conta_corrente='$ds_conta_corrente'
  ,ds_natureza_padrao='$ds_natureza_padrao'
  ,id_condicao_pagamento='$id_condicao_pagamento'
  ,id_planofin_padrao='$id_planofin_padrao'
  ,id_tipo_contrato_social='$id_tipo_contrato_social'
  ,ds_cod_municipal_zf='$ds_cod_municipal_zf'
  ,fl_calcula_inss='$fl_calcula_inss'
  ,fl_calcula_irrf='$fl_calcula_irrf'
  ,fl_recolhe_iss='$fl_recolhe_iss'
  ,fl_recolhe_pis='$fl_recolhe_pis'
  ,fl_recolhe_cofins='$fl_recolhe_cofins'
  ,ds_contato='$ds_contato'
  ,id_transportadora='$id_transportadora'
  ,ds_risco='$ds_risco'
  ,fl_utiliza_b2b='$fl_utiliza_b2b'
    ,ds_texto1 = '$ds_texto1'
    ,ds_texto2 = '$ds_texto2'
    ,ds_texto3 = '$ds_texto3'
    ,ds_texto4 = '$ds_texto4'
    ,ds_texto5 = '$ds_texto5'
    ,ds_texto6 = '$ds_texto6'
    ,ds_texto7 = '$ds_texto7'
    ,ds_texto8 = '$ds_texto8'
    ,ds_texto9 = '$ds_texto9'
    ,ds_texto10 = '$ds_texto10'
    ,ds_data1 = '$ds_data1'
    ,ds_data2 = '$ds_data2'
    ,ds_data3 = '$ds_data3'
    ,ds_data4 = '$ds_data4'
    ,ds_data5 = '$ds_data5'
    ,ds_data6 = '$ds_data6'
    ,ds_data7 = '$ds_data7'
    ,ds_data8 = '$ds_data8'
    ,ds_data9 = '$ds_data9'
    ,ds_data10 = '$ds_data10'
    ,ds_valor1 = '$ds_valor1'
    ,ds_valor2 = '$ds_valor2'
    ,ds_valor3 = '$ds_valor3'
    ,ds_valor4 = '$ds_valor4'
    ,ds_valor5 = '$ds_valor5'
    ,ds_valor6 = '$ds_valor6'
    ,ds_valor7 = '$ds_valor7'
    ,ds_valor8 = '$ds_valor8'
    ,ds_valor9 = '$ds_valor9'
    ,ds_valor10 = '$ds_valor10'
    ,ds_numero = '$ds_numero'
    ,ds_bairro = '$ds_bairro'
    ,ds_uf = '$ds_uf'
  ,dh_alteracao=now()";
  $sql .= " where id = $id";
}else
	if(isset($_POST['excluir'])) {
		$sql  = "update erpc_fornecedores set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
		$sql .= " where id = $id";
 }else
	if(isset($_POST['adicionar'])) {
		$sql = "insert into erpc_fornecedores(
     ds_codigo
    ,st_acao
    ,ds_razao
    ,ds_fantasia
    ,ds_cep
    ,ds_endereco
    ,ds_complemento
    ,id_municipio
    ,ds_cx_postal
    ,ds_cpf_cnpj
    ,ds_rg
    ,ds_ddi
    ,ds_ddd
    ,ds_telefone
    ,ds_fax
    ,ds_celular
    ,id_operadora
    ,ds_ie
    ,ds_im
    ,ds_departamento
    ,ds_email
    ,ds_homepage
    ,ds_telex
    ,ds_cod_cbo
    ,ds_cod_cnae
    ,id_bancos
    ,ds_agencia
    ,ds_conta_corrente
    ,ds_natureza_padrao
    ,id_condicao_pagamento
    ,id_planofin_padrao
    ,id_tipo_contrato_social
    ,ds_cod_municipal_zf
    ,fl_calcula_inss
    ,fl_calcula_irrf
    ,fl_recolhe_iss
    ,fl_recolhe_pis
    ,fl_recolhe_cofins
    ,ds_contato
    ,id_transportadora
    ,ds_risco
    ,fl_utiliza_b2b
    ,st_ativo, id_usuario
    ,ds_texto1
    ,ds_texto2
    ,ds_texto3
    ,ds_texto4
    ,ds_texto5
    ,ds_texto6
    ,ds_texto7
    ,ds_texto8
    ,ds_texto9
    ,ds_texto10
    ,ds_data1
    ,ds_data2
    ,ds_data3
    ,ds_data4
    ,ds_data5
    ,ds_data6
    ,ds_data7
    ,ds_data8
    ,ds_data9
    ,ds_data10
    ,ds_valor1
    ,ds_valor2
    ,ds_valor3
    ,ds_valor4
    ,ds_valor5
    ,ds_valor6
    ,ds_valor7
    ,ds_valor8
    ,ds_valor9
    ,ds_valor10
    ,ds_numero
    ,ds_bairro
    ,ds_uf)";

		$sql .="values(
     '$ds_codigo'
    ,'$st_acao'
    ,'$ds_razao'
    ,'$ds_fantasia'
    ,'$ds_cep'
    ,'$ds_endereco'
    ,'$ds_complemento'
    ,'$id_municipio'
    ,'$ds_cx_postal'
    ,'$ds_cpf_cnpj'
    ,'$ds_rg'
    ,'$ds_ddi'
    ,'$ds_ddd'
    ,'$ds_telefone'
    ,'$ds_fax'
    ,'$ds_celular'
    ,'$id_operadora'
    ,'$ds_ie'
    ,'$ds_im'
    ,'$ds_departamento'
    ,'$ds_email'
    ,'$ds_homepage'
    ,'$ds_telex'
    ,'$ds_cod_cbo'
    ,'$ds_cod_cnae'
    ,'$id_bancos'
    ,'$ds_agencia'
    ,'$ds_conta_corrente'
    ,'$ds_natureza_padrao'
    ,'$id_condicao_pagamento'
    ,'$id_planofin_padrao'
    ,'$id_tipo_contrato_social'
    ,'$ds_cod_municipal_zf'
    ,'$fl_calcula_inss'
    ,'$fl_calcula_irrf'
    ,'$fl_recolhe_iss'
    ,'$fl_recolhe_pis'
    ,'$fl_recolhe_cofins'
    ,'$ds_contato'
    ,'$id_transportadora'
    ,'$ds_risco'
    ,'$fl_utiliza_b2b'
    , $st_ativo, $id_usuario
    ,'$ds_texto1'
    ,'$ds_texto2'
    ,'$ds_texto3'
    ,'$ds_texto4'
    ,'$ds_texto5'
    ,'$ds_texto6'
    ,'$ds_texto7'
    ,'$ds_texto8'
    ,'$ds_texto9'
    ,'$ds_texto10'
    ,'$ds_data1'
    ,'$ds_data2'
    ,'$ds_data3'
    ,'$ds_data4'
    ,'$ds_data5'
    ,'$ds_data6'
    ,'$ds_data7'
    ,'$ds_data8'
    ,'$ds_data9'
    ,'$ds_data10'
    ,'$ds_valor1'
    ,'$ds_valor2'
    ,'$ds_valor3'
    ,'$ds_valor4'
    ,'$ds_valor5'
    ,'$ds_valor6'
    ,'$ds_valor7'
    ,'$ds_valor8'
    ,'$ds_valor9'
    ,'$ds_valor10'
    ,'$ds_numero'
    ,'$ds_bairro'
    ,'$ds_uf'
)";
}

// executa sql
if($sql!=""){
  $sql =  str_replace("''", "null", $sql);
  // echo $sql;
  try{
    $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
    mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
  }catch (Exception $e) {
    addError('Exceção capturada: ' . $e->getMessage());
  }
}
  // echo $sql;
  header("location:erpc_fornecedores_list.php");
?>
